uniform float noise;
uniform float size;
varying vec3 normal;
void main(void)
{
	vec3 vertex = gl_Vertex.xyz + size*sin(noise*gl_Vertex.xyz);
	normal = normalize(gl_NormalMatrix * gl_Normal);
	gl_Position = gl_ModelViewProjectionMatrix * vec4(vertex,1.0);
	gl_TexCoord[0] = gl_MultiTexCoord0;
}
